Manage your business partners and counterparties. Use these APIs to create and store information about the people or companies you interact with, including their bank details.
Overview
Our Banking as a Service (BaaS) platform helps to make it simple for companies to handle the flow of money. Our APIs offer a safe and dependable way to manage your financial operations, whether you are seeking money from a partner or paying somebody else.
With these APIs, you can:
- Manage Payees: Securely save the details of people or businesses you work with, including their bank information for ACH, Wire, or Braid transfers.
- Move Money: Create and send payment requests quickly by specifying the amount and the preferred payment method.
- Track Activity: Search through your transaction history to monitor the status of your payments and keep your records up to date.
Download OpenAPI description
Overview
API Support
Languages
Servers
Mock server
https://docs.theropay.co/_mock/theropay/docs/reference/braid
Sandbox Server
https://devapi.theropay.co
- Mock serverhttps://docs.theropay.co/_mock/theropay/docs/reference/braid/finance/v1/search_transactions
- Sandbox Serverhttps://devapi.theropay.co/finance/v1/search_transactions
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://docs.theropay.co/_mock/theropay/docs/reference/braid/finance/v1/search_transactions \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"pageNumber": 0,
"pageSize": 0,
"accountNumber": "string",
"batchId": "string",
"beginDate": "2019-08-24T14:15:22Z",
"counterpartyId": 0,
"customerId": 0,
"direction": "string",
"endDate": "2019-08-24T14:15:22Z",
"excludeAch": true,
"excludeWire": true,
"externalId": "string",
"isInbound": true,
"linkedPaymentId": "string",
"loadedFromFile": "string",
"maxAmount": 0.1,
"minAmount": 0.1,
"originalFileName": "string",
"paymentId": "string",
"postDateStart": "2019-08-24T14:15:22Z",
"postDateEnd": "2019-08-24T14:15:22Z",
"processingStatus": [
"string"
],
"productId": 0,
"reconStatuses": [
"string"
],
"requesterIpAddress": "string",
"requesterUsername": "string",
"settlementFileName": "string",
"showAchNoc": true,
"transactionStatus": [
"string"
],
"transactionType": [
"string"
],
"updatedStart": "2019-08-24T14:15:22Z",
"updatedEnd": "2019-08-24T14:15:22Z",
"wireFileHandle": "string"
}'